/*
 * Copyright 2012 LodgON.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.lodgon.dali.core.entity;

import java.io.Serializable;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author joeri
 */
@Entity
@Table(name = "GROUPS_USERS")
@NamedQueries({
	@NamedQuery(
		name = "Member.findGroupsByUser",
		query = "SELECT m.group FROM Member m WHERE m.user = :user"
	),
	@NamedQuery(
		name = "Member.countUsersByGroup",
		query = "SELECT COUNT(m) FROM Member m WHERE m.group = :group"
	),
	@NamedQuery(
		name = "Member.findUsersByGroup",
		query = "SELECT m.user FROM Member m WHERE m.group = :group"
	),
	@NamedQuery(
		name = "Member.findByGroupAndUser",
		query = "SELECT m FROM Member m WHERE m.group = :group AND m.user = :user"
	),
	@NamedQuery(
		name = "Member.findByGroup",
		query = "SELECT m FROM Member m WHERE m.group = :group"
	),
	@NamedQuery(
		name = "Member.findByUser",
		query = "SELECT m FROM Member m WHERE m.user = :user"
	)
})
public class Member implements Serializable {
  private static final long serialVersionUID = 1L;
  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  private Integer id;

	@ManyToOne
	private Group group;
	@ManyToOne
	private User user;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Group getGroup() {
		return group;
	}

	public void setGroup(Group group) {
		this.group = group;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
}
