/*
 * Copyright (c) 2009-2011 LodgON  (http://www.lodgon.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.lodgon.dali.core.search;

/**
 * Defines the possible values for the EntityAction qualifier.
 *
 * @author Joeri
 */
public enum ActionType {
	/**
	 * An EntityAction event that will be fired when a new entity is being
	 * persisted.
	 */
	CREATE,
	/**
	 * An EntityAction event that will be fired when a existing entity is being
	 * updated.
	 */
	UPDATE,
	/**
	 * An EntityAction event that will be fired when an existing entity is being
	 * deleted.
	 */
	DELETE
}
